# Interface EventMap

插件事件

interface EventMap {
dataChange: (data: any, prevData?: any) => void;
dataLoaded: (data: any) => void;
dispose: () => void;
stateChange: (params: StateChangeParams<CSS2DPluginType.State>) => void;
}

#### Hierarchy (View Summary)

- BasePlugin.EventMap<CSS2DPluginType.State, CSS2DPluginType.ServerData>
  - EventMap

- Defined in lib/plugins/CSS2DPlugin/typing.ts:37

##### Index

### Properties

dataChange
dataLoaded
dispose
stateChange

## Properties

### dataChange

dataChange: (data: any, prevData?: any) => void

数据变更

Inherited from BasePlugin.EventMap.dataChange

- Defined in lib/plugins/BasePlugin/index.ts:59

### dataLoaded

dataLoaded: (data: any) => void

数据加载完成

Inherited from BasePlugin.EventMap.dataLoaded

- Defined in lib/plugins/BasePlugin/index.ts:61

### dispose

dispose: () => void

插件被销毁

Inherited from BasePlugin.EventMap.dispose

- Defined in lib/plugins/BasePlugin/index.ts:55

### stateChange

stateChange: (params: StateChangeParams<CSS2DPluginType.State>) => void

插件状态变化

Inherited from BasePlugin.EventMap.stateChange

- Defined in lib/plugins/BasePlugin/index.ts:57